@tool
extends Node

const custom_shader = preload("./default_value_of_custom1.gdshader")

# Called when the node enters the scene tree for the first time.
func _ready():
	# EXPECTED: Transparent triangle
	var mesh = ArrayMesh.new()
	var surface = []
	surface.resize(ArrayMesh.ARRAY_MAX)
	var vertices = PackedVector2Array()
	
	vertices.push_back(Vector2(0.0, 0.0))
	vertices.push_back(Vector2(400.0, 0.0))
	vertices.push_back(Vector2(0.0, 400.0))
	
	surface[ArrayMesh.ARRAY_VERTEX] = vertices
	mesh.add_surface_from_arrays(Mesh.PRIMITIVE_TRIANGLES, surface)
	
	var mesh_instance = MeshInstance2D.new()
	mesh_instance.mesh = mesh
	mesh_instance.material = ShaderMaterial.new()
	mesh_instance.material.shader = custom_shader
	add_child(mesh_instance)

